Bug 196622 - Review Request: perl-PerlIO-eol - PerlIO layer for normalizing line endings
Summary: Review Request: perl-PerlIO-eol - PerlIO layer for normalizing line endings
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT 196629
TreeView+ depends on / blocked
 
Reported: 2006-06-26 01:57 UTC by Ian Burrell
Modified: 2008-06-12 15:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-29 06:44:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ian Burrell 2006-06-26 01:57:34 UTC
Spec URL: http://znark.com/fedora/perl-PerlIO-eol.spec
SRPM URL: http://znark.com/fedora/perl-PerlIO-eol-0.13-2.src.rpm
Description: This layer normalizes any of CR, LF, CRLF and Native into the designated line ending. It works for both input and output handles.

It is required by perl-SVK.

Comment 1 Ralf Corsepius 2006-06-26 04:46:51 UTC
Minor issue:

# rpmlint perl-PerlIO-eol-0.13-2.i386.rpm
W: perl-PerlIO-eol incoherent-version-in-changelog 0.13-1 0.13-2

Comment 2 Ian Burrell 2006-06-28 06:15:02 UTC
Fixed the warning.

Spec: http://znark.com/fedora/perl-PerlIO-eol.spec
SRPMS: http://znark.com/fedora/perl-PerlIO-eol-0.13-3.src.rpm


Comment 3 Jason Tibbitts 2006-06-29 00:58:52 UTC
Note that BuildRequires: perl is redundant; it is in the default build root. 
The version requirement is satisfied on all platforms that Extras supports so
it's safe to leave it out.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream. 
* source files match upstream:
   7e11fb1cc3b2a65678714877ae361823  PerlIO-eol-0.13.tar.gz
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   eol.so()(64bit)
   perl(PerlIO::eol) = 0.13
   perl-PerlIO-eol = 0.13-3.fc6
  =
   perl >= 0:5.007003
   perl(:MODULE_COMPAT_5.8.8)
   perl(Exporter)
   perl(XSLoader)
* shared libraries are present, internal to Perl.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=23,  0 wallclock secs ( 0.02 cusr +  0.01 csys =  0.03 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED

Comment 4 Ian Burrell 2006-06-29 06:44:32 UTC
Built for devel.


Comment 5 Ian Burrell 2008-06-12 00:31:27 UTC
Package Change Request
======================
Package Name: perl-PerlIO-eol
New Branches: EL-4 EL-5


Comment 6 Kevin Fenzi 2008-06-12 15:55:57 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.